complexType "Bond"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 16 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | instrumentId*, description?, currency?, exchangeId?, clearanceSystem?, definition?, (issuerName | issuerPartyReference)?, seniority?, couponType?, couponRate?, maturity?, parValue?, faceAmount?, paymentFrequency?, dayCountFraction?
</...>

Content Model Elements (16):

  clearanceSystem, couponRate, couponType, currency (defined in UnderlyingAsset complexType), dayCountFraction (defined in BondCalculation.model group), definition, description (defined in IdentifiedAsset complexType), exchangeId (defined in UnderlyingAsset complexType), | faceAmount, instrumentId (defined in IdentifiedAsset complexType), issuerName, issuerPartyReference, maturity (defined in FixedIncomeSecurityContent.model group), parValue, paymentFrequency (defined in BondCalculation.model group), seniority

Known Direct Subtypes (1):

  ConvertibleBond

All Direct / Indirect Based Elements (2):

  bond, convertibleBond

Known Usage Locations

- In derivations of other global types (1):
  ConvertibleBond (as extension base)
- As direct type of elements (1):
  bond

Annotation
An exchange traded bond.
Type Definition Detail

Type Derivation Tree Asset (extension) IdentifiedAsset (extension) UnderlyingAsset (extension) Bond

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="Bond"> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:group ref="FixedIncomeSecurityContent.model"/> <xsd:element minOccurs="0" name="parValue" type="xsd:decimal"/> <xsd:element minOccurs="0" name="faceAmount" type="xsd:decimal"/> <xsd:group ref="BondCalculation.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/16)
faceAmount

  Type: | xsd:decimal, predefined, simple content

  Specifies the total amount of the issue. Corresponds to the par value multiplied by the number of issued security.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="faceAmount" type="xsd:decimal"/>

parValue

  Type: | xsd:decimal, predefined, simple content

  Specifies the nominal amount of a fixed income security or convertible bond.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="parValue" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.